Commit 67a50219 authored by Friedrich W. H. Kossebau's avatar Friedrich W. H. Kossebau
Browse files

Do not have different KF API visible for developer & tarball builds

Also reenable deprecation warnings with any KF <6 versions,
as KF_DISABLE_DEPRECATED_BEFORE_AND_AT disables those by default
parent fa067541
......@@ -92,9 +92,8 @@ add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x060000)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment